
From: Dmitry Torokhov <dtor_core@ameritech.net>

allow disabling legacy psaux device even for non-embedded systems


---

 25-akpm/drivers/input/Kconfig |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletion(-)

diff -puN drivers/input/Kconfig~new-set-of-input-patches-allow-disabling-psaux drivers/input/Kconfig
--- 25/drivers/input/Kconfig~new-set-of-input-patches-allow-disabling-psaux	2004-04-21 00:22:48.687633640 -0700
+++ 25-akpm/drivers/input/Kconfig	2004-04-21 00:22:48.691633032 -0700
@@ -41,9 +41,16 @@ config INPUT_MOUSEDEV
 	  module will be called mousedev.
 
 config INPUT_MOUSEDEV_PSAUX
-	bool "Provide legacy /dev/psaux device" if EMBEDDED
+	bool "Provide legacy /dev/psaux device"
 	default y
 	depends on INPUT_MOUSEDEV
+	---help---
+	  Say Y here if you want your mouse also be accessible as char device
+	  10:1 - /dev/psaux. The data available through /dev/psaux is exactly
+	  the same as the data from /dev/input/mice.
+
+	  If unsure, say Y.
+
 
 config INPUT_MOUSEDEV_SCREEN_X
 	int "Horizontal screen resolution"

_
